org.gnome.pango

## Class Alignment

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.pango.Alignment

-     public final class Alignment
      extends org.freedesktop.bindings.Constant

  How the line is aligned.

  If you wonder why there is not a JUSTIFY alignment, that is configured with the Layout `setJustify()` method.

  Since:
    4.0.8
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Alignment` | `CENTER` Center the line within the available space.
    `static Alignment` | `LEFT` Align the line at the left.
    `static Alignment` | `RIGHT` Align the line at the right.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final Alignment CENTER

      Center the line within the available space.

    - #### LEFT

          public static final Alignment LEFT

      Align the line at the left.

    - #### RIGHT

          public static final Alignment RIGHT

      Align the line at the right.